Rails.application.routes.draw do
  namespace :panel do
    namespace :news do
      namespace :back_end do
        match 'public' => "news#public",:as => :public
        match 'approval_setting' => "news_approvals#setting" ,:as => :approval_setting,:via => :get
        match 'approval_setting' => "news_approvals#update_setting" ,:as => :approval_setting,:via => :post
        match 'approval_setting' => "news_approvals#user_list" ,:as => :approval_user_list,:via => :put        
        resources :news_bulletins do
          match "approve/:news_bulletin_id"  => "news_approvals#preview_and_approve",:as => :approval_preview,:via => :put
          match "approve/:news_bulletin_id"  => "news_approvals#approve",:as => :approve,:via => :post
          match "link_quick_add/:news_bulletin_id" => "news_bulletins#link_quick_add" ,:as => :link_quick_add
          match "link_quick_edit/:news_bulletin_id" => "news_bulletins#link_quick_edit" ,:as => :link_quick_edit

          member do
            get 'load_quick_edit'
          end
          collection do
            post "preview"
            put "preview"
            get 'delete'
          end
          match "file_quick_add/:news_bulletin_id" => "news_bulletins#file_quick_add" ,:as => :file_quick_add
          match "file_quick_edit/:news_bulletin_id" => "news_bulletins#file_quick_edit" ,:as => :file_quick_edit
        end
		
        resources :news_bulletin_categorys
		
		resources :news_bulletin_links, :controller => 'news_bulletin_links' do
          match "link_quick_edit/:news_bulletin_link_id" => "news_bulletin_links#link_quick_edit" ,:as => :link_quick_edit
        end
		
		resources :news_bulletin_files, :controller => 'news_bulletin_files' do
          match "file_quick_edit/:news_bulletin_file_id" => "news_bulletin_files#file_quick_edit" ,:as => :file_quick_edit
        end
		
        resources :tags
      end
      namespace :front_end do
        match "index_by_unit" => "news_bulletins#index_news_bulletins_by_unit",:as => :index_news_bulletins_by_unit
        resources :news_bulletins # do
        #           match "preview" => "news_bulletins#preview_content",:as => :get_preview_content
        #         end
      end
      namespace :widget do
        match "news_bulletins" => "news_bulletins#index"
        match "home_banner" => "news_bulletins#home_banner"
        match "news_bulletins_and_web_links" => "news_bulletins#news_bulletins_and_web_links"
        match "reload_news_bulletins" => "news_bulletins#reload_news_bulletins"
        match "reload_web_links" => "news_bulletins#reload_web_links"
        match "news_bulletins_side_bar" => "news_bulletins#news_bulletins_side_bar"
        match "news_bulletins_search_block" => "news_bulletins#news_bulletins_search_block"
      end
    end
  end
end
